# Calc Indexes

`WS` `request · cmd 26`

> **Quote Permission Required · Free**
> Included with OpenAPI activation — no extra purchase needed.
> _OpenAPI quote perms are separate from App/Web perms_

This API is used to obtain the calculate indexes of securities.

```protobuf
message SecurityCalcQuoteRequest {
  repeated string symbols = 1;
  repeated CalcIndex calc_index = 2;
}

message SecurityCalcQuoteResponse {
  repeated SecurityCalcIndex security_calc_index = 1;
}
```

## Request Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbols` | string[] | Yes | Security code list, in ticker.region format, for example: [700.HK]. Max 500 symbols per request |
| `calc_index` | int32[] | Yes | Calc indexes, for example: [1,2,3], see CalcIndex |

## Response Fields

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `security_calc_index` | object[] | No | Security Index Data |
| `└ symbol` | string | No | Security code |
| `└ last_done` | string | No | Latest price |
| `└ change_val` | string | No | Change value |
| `└ change_rate` | string | No | Change ratio (ratio field, excludes %) |
| `└ volume` | int64 | No | Volume |
| `└ turnover` | string | No | Turnover |
| `└ ytd_change_rate` | string | No | Year-to-date change ratio (ratio field, excludes %) |
| `└ turnover_rate` | string | No | Turnover rate (ratio field, excludes %) |
| `└ total_market_value` | string | No | Total market value |
| `└ capital_flow` | string | No | Capital flow |
| `└ amplitude` | string | No | Amplitude (ratio field, excludes %) |
| `└ volume_ratio` | string | No | Volume ratio |
| `└ pe_ttm_ratio` | string | No | PE (TTM) |
| `└ pb_ratio` | string | No | PB |
| `└ dividend_ratio_ttm` | string | No | Dividend ratio (TTM) |
| `└ five_day_change_rate` | string | No | Five days change ratio (ratio field, excludes %) |
| `└ ten_day_change_rate` | string | No | Ten days change ratio (ratio field, excludes %) |
| `└ half_year_change_rate` | string | No | Half year change ratio (ratio field, excludes %) |
| `└ five_minutes_change_rate` | string | No | Five minutes change ratio (ratio field, excludes %) |
| `└ expiry_date` | string | No | Expiry date |
| `└ strike_price` | string | No | Strike price |
| `└ upper_strike_price` | string | No | Upper bound price |
| `└ lower_strike_price` | string | No | Lower bound price |
| `└ outstanding_qty` | int64 | No | Outstanding quantity |
| `└ outstanding_ratio` | string | No | Outstanding ratio (ratio field, excludes %) |
| `└ premium` | string | No | Premium (ratio field, excludes %) |
| `└ itm_otm` | string | No | In/out of the bound (ratio field, excludes %) |
| `└ implied_volatility` | string | No | Implied volatility (ratio field, excludes %) |
| `└ warrant_delta` | string | No | Warrant delta |
| `└ call_price` | string | No | Call price |
| `└ to_call_price` | string | No | Price interval from the call price (ratio field, excludes %) |
| `└ effective_leverage` | string | No | Effective leverage |
| `└ leverage_ratio` | string | No | Leverage ratio |
| `└ conversion_ratio` | string | No | Conversion ratio |
| `└ balance_point` | string | No | Breakeven point |
| `└ open_interest` | int64 | No | Open interest |
| `└ delta` | string | No | Delta |
| `└ gamma` | string | No | Gamma |
| `└ theta` | string | No | Theta. Raw value divided by 100 for standard per-share per-day value |
| `└ vega` | string | No | Vega. Raw value divided by 100 for standard per-share per-1%-IV value |
| `└ rho` | string | No | Rho. Raw value divided by 100 for standard per-share per-1%-rate value |

## Response JSON Example

```json
{
  "security_calc_index": [
    {
      "symbol": "AAPL.US",
      "last_done": "131.880",
      "change_val": "-5.2500",
      "change_rate": "-3.83",
      "volume": "122207099",
      "turnover": "16269088361.000"
    }
  ]
}
```
